class Origami::MasterController < BaseOrigamiController

  def index
    @sale_id = params[:sale_id]

    # limit master_amount
    sale_data = Sale.find_by_sale_id(@sale_id)
    total = sale_data.grand_total
    @mastercount = 0
    others = 0
    sale_data.sale_payments.each do |sale_payment|
        if sale_payment.payment_method == "master"
          @mastercount = @mastercount + sale_payment.payment_amount
        else
          others = others + sale_payment.payment_amount
        end
    end
    @can_master = total - @mastercount - others
  end

  def create
    cash = params[:amount]
    sale_id = params[:sale_id]
    if(Sale.exists?(sale_id))
      saleObj = Sale.find(sale_id)
      sale_payment = SalePayment.new
      @status, @sale = sale_payment.process_payment(saleObj, @user, cash, "master")
    end
  end

end
